#!/bin/sh
# This script has been preprocessed prior to installation
# It has had comments, blank lines, and leading spaces
# removed, and \-style lines combined.  This was done so
# that it could run quicker under some shells.
OBJECT . new THREAD
THREAD . start :p '
if [ -z "$($THIS . running)" ]; then
$THIS . run &
$THIS . pid = $! > /dev/null
$THIS . running = 1 > /dev/null
fi
'
THREAD . stop :p '
if [ -z "$($THIS . running)" ]; then
kill $($THIS . pid)
fi
'
THREAD . wait :p '
wait $($THIS . pid)
'
