#!/bin/sh
# This script has been preprocessed prior to installation
# It has had comments, blank lines, and leading spaces
# removed, and \-style lines combined.  This was done so
# that it could run quicker under some shells.
OBJECT . usepath = $SHOOPPATH:. > /dev/null
OBJECT . new _USE
_USE . recorduse =q 1
_USE . findmodule :p '
local oIFS="$IFS" IFS=: usepath
usepath="$1"; shift
for B in $usepath;do
IFS="$oIFS"
if [ -e $B/$1.sh ]; then
echo $B/$1.sh
break
fi
done
'
_USE . showdeps :p '
local A usepath="$($THIS . usepath)" module
for A in $(_USE . _record_ 2>/dev/null); do
module=$(_USE . findmodule "$usepath" $A)
if [ -z "$module" ]; then
echo "$A disappeared!" 1>&2
else
echo "$A: $module"
fi
done
'
IFS=" " OBJECT . use :p '
local A B usepath="$($THIS . usepath)" module recorduse
recorduse="$(_USE . recorduse 2>/dev/null)"
_USE . recorduse =q 0
for A in "$@"; do
if [ -z "$(_USE . _used_$A 2>/dev/null)" ]; then
module=$(_USE . findmodule "$usepath" $A)
if [ "$module" ]; then
. $module
_USE . _used_ .=q " $A"
_USE . _used_$A =q 1
if [ "$recorduse" ]; then
_USE . _record_ .=q " $A"
fi
fi
fi
done
return
'
_shoopuse_use=1
